<StructuredTextModel xmlns="http://schemas.datacontract.org/2004/07/Omron.Cxap.Modules.StructuredText.Core" xmlns:i="http://www.w3.org/2001/XMLSchema-instance"><Text>IF&#xD;
	I_xEnable&#xD;
	AND&#xD;
	NOT Q_xActive&#xD;
THEN&#xD;
	Q_xActive:=TRUE;&#xD;
END_IF;&#xD;
IF&#xD;
	NOT I_xEnable&#xD;
	AND&#xD;
	Q_xActive&#xD;
THEN&#xD;
	diState:=0;&#xD;
	Q_xActive:=FALSE;&#xD;
END_IF;&#xD;
&#xD;
xStep:=(I_lrMaster-lrOldMaster)&lt;-180;&#xD;
&#xD;
CASE diState OF&#xD;
    0 : //Wait for Enabling Block&#xD;
		IF&#xD;
			Q_xActive&#xD;
		THEN&#xD;
			IF&#xD;
				I_xProduct&#xD;
			THEN&#xD;
				diState:=1;&#xD;
			ELSE&#xD;
				diState:=2;&#xD;
			END_IF;&#xD;
		END_IF;	&#xD;
	1: //Run state&#xD;
		Q_lrSlave:=I_lrMaster;&#xD;
		IF&#xD;
			NOT I_xProduct&#xD;
			AND&#xD;
			xStep&#xD;
		THEN&#xD;
			diState:=3;&#xD;
		END_IF;&#xD;
	2: //Idle State	&#xD;
		Q_lrSlave:=180.0;&#xD;
		IF&#xD;
			I_xProduct&#xD;
			AND&#xD;
			xStep&#xD;
		THEN&#xD;
			diState:=4;&#xD;
		END_IF;&#xD;
	3: //Stop Cam&#xD;
		IF&#xD;
			I_lrMaster&lt;I_lrCutLenght/2&#xD;
		THEN&#xD;
			Q_lrSlave:=I_lrMaster;&#xD;
		ELSE&#xD;
			Q_lrSlave:=\\FLOWPACK\FC_Poly5(&#xD;
									  		i_lrX:=I_lrMaster, &#xD;
											i_lrXi:=I_lrCutLenght/2, &#xD;
											i_lrXf:=360, &#xD;
											i_lrYi:=I_lrCutLenght/2, &#xD;
											i_lrYf:=180.0, &#xD;
											i_lrVi:=1, &#xD;
											i_lrVf:=0&#xD;
											); &#xD;
		END_IF;									&#xD;
		IF								&#xD;
			xStep&#xD;
		THEN&#xD;
			Q_lrSlave:=180.0;&#xD;
			IF&#xD;
				NOT I_xProduct&#xD;
			THEN&#xD;
				diState:=2;&#xD;
			ELSE&#xD;
				diState:=4;&#xD;
			END_IF;&#xD;
		END_IF;	&#xD;
	4: //Start Cam&#xD;
		IF&#xD;
			I_lrMaster&lt;360-(I_lrCutLenght/2)&#xD;
		THEN	&#xD;
			Q_lrSlave:=\\FLOWPACK\FC_Poly5(&#xD;
									  		i_lrX:=I_lrMaster, &#xD;
											i_lrXi:=0, &#xD;
											i_lrXf:=360-(I_lrCutLenght/2), &#xD;
											i_lrYi:=180.0, &#xD;
											i_lrYf:=360-(I_lrCutLenght/2), &#xD;
											i_lrVi:=0, &#xD;
											i_lrVf:=1&#xD;
											);&#xD;
		ELSE&#xD;
			Q_lrSlave:=I_lrMaster;&#xD;
		END_IF;&#xD;
		IF&#xD;
			xStep&#xD;
		THEN&#xD;
			Q_lrSlave:=0.0;&#xD;
			IF&#xD;
				I_xProduct&#xD;
			THEN&#xD;
				diState:=1;&#xD;
			ELSE&#xD;
				diState:=3;&#xD;
			END_IF;&#xD;
		END_IF;	&#xD;
&#xD;
END_CASE;&#xD;
&#xD;
//Save the Actual Master Position&#xD;
lrOldMaster:=I_lrMaster;&#xD;
&#xD;
</Text></StructuredTextModel>